%define srcname FormEncode
%define module  formencode
%define rel     1

Name:           python-%{module}
Version:        1.3.0
Release:        %mkrel %{rel}
Summary:        HTML form validation, generation, and convertion package
Group:          Development/Python
License:        Python
URL:            http://formencode.org/
Source0:        http://pypi.python.org/packages/source/F/FormEncode/%{srcname}-%{version}.zip

BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(2)(docutils)
BuildRequires:  pythonegg(2)(nose)

%description
FormEncode validates and converts nested structures. It allows for a
declarative form of defining the validation, and decoupled processes
for filling and generating forms.

%files -f %{srcname}.lang
%doc PKG-INFO docs
%{python2_sitelib}/%{module}
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}

# Remove bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py2_build

%install
%py2_install

# remove incorrect and unwanted files
rm -rf %{buildroot}%{python2_sitelib}/docs/

# Move l10n files in correct place like it's done on fedora
for file in %{buildroot}%{python2_sitelib}/formencode/i18n/* ; do
    if [ -d $file ] ; then
        if [ -e $file/LC_MESSAGES/%{srcname}.mo ] ; then
            mkdir -p %{buildroot}%{_datadir}/locale/`basename $file`/LC_MESSAGES/
            mv $file/LC_MESSAGES/%{srcname}.mo %{buildroot}%{_datadir}/locale/`basename $file`/LC_MESSAGES/
        fi
    fi
done
rm -rf %{buildroot}%{python2_sitelib}/formencode/i18n

%find_lang %{srcname}


%changelog
* Thu Dec 17 2015 daviddavid <daviddavid> 1.3.0-1.mga6
+ Revision: 911250
- new version: 1.3.0
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 1.2.6-7.mga5
+ Revision: 746023
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.6-6.mga5
+ Revision: 728530
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.6-5.mga5
+ Revision: 688037
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.2.6-3.mga4
+ Revision: 543547
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.6-2.mga4
+ Revision: 498632
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Feb 09 2013 mikala <mikala> 1.2.6-1.mga3
+ Revision: 397652
- imported package python-formencode

